/*
 *  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 *  Copyright (C) 2010-2012 - DIGITEO - Bruno JOFRET
 *  Copyright (C) 2012-2014 - Scilab-Enterprises - Bruno JOFRET
 *
 *  This source file is licensed as described in the file COPYING, which
 *  you should have received as part of this distribution.  The terms
 *  are also available at
 *  http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
 *
 */

/*
 * -=- This is a generated file, please do not edit by hand             -=-
 * -=- Please see properties definitions in                             -=-
 * -=- SCI/modules/graphic_objects/src/scripts/propertiesMap.properties -=-
 */

#ifndef  __GRAPHIC_OBJECT_PROPERTIES_H__
#define __GRAPHIC_OBJECT_PROPERTIES_H__

#define __GO_ARC__ 0
#define __GO_AXES__ 1
#define __GO_AXESMODEL__ 2
#define __GO_AXIS__ 3
#define __GO_CHAMP__ 4
#define __GO_COMPOUND__ 5
#define __GO_FAC3D__ 6
#define __GO_FEC__ 7
#define __GO_FIGURE__ 8
#define __GO_FIGUREMODEL__ 9
#define __GO_GRAYPLOT__ 10
#define __GO_LABEL__ 11
#define __GO_LEGEND__ 12
#define __GO_MATPLOT__ 13
#define __GO_PLOT3D__ 14
#define __GO_POLYLINE__ 15
#define __GO_RECTANGLE__ 16
#define __GO_SEGS__ 17
#define __GO_TEXT__ 18
#define __GO_UICONTROL__ 19
#define __GO_UIMENU__ 20
#define __GO_UICONTEXTMENU__ 21
#define __GO_CHILDREN__ 22
#define __GO_CHILDREN_COUNT__ 23
#define __GO_PARENT__ 24
#define __GO_USER_DATA__ 25
#define __GO_USER_DATA_SIZE__ 26
#define __GO_VISIBLE__ 27
#define __GO_HIDDEN__ 28
#define __GO_TYPE__ 29
#define __GO_DATA_MODEL__ 30
#define __GO_PARENT_FIGURE__ 31
#define __GO_PARENT_AXES__ 32
#define __GO_HAS_LEGEND_CHILD__ 33
#define __GO_LEGEND_CHILD__ 34
#define __GO_SELECTED_CHILD__ 35
#define __GO_CALLBACK__ 36
#define __GO_CALLBACKTYPE__ 37
#define __GO_DATA_MODEL_COORDINATES__ 38
#define __GO_DATA_MODEL_X__ 39
#define __GO_DATA_MODEL_Y__ 40
#define __GO_DATA_MODEL_Z__ 41
#define __GO_DATA_MODEL_X_COORDINATES_SHIFT__ 42
#define __GO_DATA_MODEL_Y_COORDINATES_SHIFT__ 43
#define __GO_DATA_MODEL_Z_COORDINATES_SHIFT__ 44
#define __GO_DATA_MODEL_X_COORDINATES_SHIFT_SET__ 45
#define __GO_DATA_MODEL_Y_COORDINATES_SHIFT_SET__ 46
#define __GO_DATA_MODEL_Z_COORDINATES_SHIFT_SET__ 47
#define __GO_DATA_MODEL_NUM_ELEMENTS__ 48
#define __GO_DATA_MODEL_NUM_ELEMENTS_ARRAY__ 49
#define __GO_DATA_MODEL_NUM_VERTICES_PER_GON__ 50
#define __GO_DATA_MODEL_NUM_GONS__ 51
#define __GO_DATA_MODEL_Z_COORDINATES_SET__ 52
#define __GO_DATA_MODEL_COLORS__ 53
#define __GO_DATA_MODEL_NUM_COLORS__ 54
#define __GO_DATA_MODEL_NUM_VERTICES__ 55
#define __GO_DATA_MODEL_NUM_INDICES__ 56
#define __GO_DATA_MODEL_INDICES__ 57
#define __GO_DATA_MODEL_VALUES__ 58
#define __GO_DATA_MODEL_NUM_VERTICES_BY_ELEM__ 59
#define __GO_DATA_MODEL_FEC_ELEMENTS__ 60
#define __GO_DATA_MODEL_NUM_X__ 61
#define __GO_DATA_MODEL_NUM_Y__ 62
#define __GO_DATA_MODEL_NUM_Z__ 63
#define __GO_DATA_MODEL_GRID_SIZE__ 64
#define __GO_DATA_MODEL_X_DIMENSIONS__ 65
#define __GO_DATA_MODEL_Y_DIMENSIONS__ 66
#define __GO_MATPLOT_TRANSLATE__ 67
#define __GO_MATPLOT_SCALE__ 68
#define __GO_DATA_MODEL_MATPLOT_BOUNDS__ 69
#define __GO_DATA_MODEL_MATPLOT_TYPE__ 70
#define __GO_DATA_MODEL_MATPLOT_GL_TYPE__ 71
#define __GO_DATA_MODEL_MATPLOT_DATA_INFOS__ 72
#define __GO_DATA_MODEL_MATPLOT_DATA_TYPE__ 73
#define __GO_DATA_MODEL_MATPLOT_DATA_ORDER__ 74
#define __GO_DATA_MODEL_MATPLOT_IMAGE_TYPE__ 75
#define __GO_DATA_MODEL_MATPLOT_IMAGE_DATA__ 76
#define __GO_DATA_MODEL_MATPLOT_IMAGE_DATASIZE__ 77
#define __GO_REFERENCED__ 78
#define __GO_VALID__ 79
#define __GO_POSITION__ 80
#define __GO_SIZE__ 81
#define __GO_CANVAS__ 82
#define __GO_AUTORESIZE__ 83
#define __GO_VIEWPORT__ 84
#define __GO_AXES_SIZE__ 85
#define __GO_FIGURE_NAME__ 86
#define __GO_NAME__ 87
#define __GO_ID__ 88
#define __GO_INFO_MESSAGE__ 89
#define __GO_COLORMAP__ 90
#define __GO_COLORMAP_SIZE__ 91
#define __GO_RENDERING_MODE__ 92
#define __GO_PIXEL_DRAWING_MODE__ 93
#define __GO_ANTIALIASING__ 94
#define __GO_IMMEDIATE_DRAWING__ 95
#define __GO_BACKGROUND__ 96
#define __GO_EVENTHANDLER__ 97
#define __GO_EVENTHANDLER_NAME__ 98
#define __GO_EVENTHANDLER_ENABLE__ 99
#define __GO_TAG__ 100
#define __GO_ROTATION_TYPE__ 101
#define __GO_RESIZEFCN__ 102
#define __GO_CLOSEREQUESTFCN__ 103
#define __GO_DEFAULT_AXES__ 104
#define __GO_UPPER_LEFT_POINT__ 105
#define __GO_WIDTH__ 106
#define __GO_HEIGHT__ 107
#define __GO_START_ANGLE__ 108
#define __GO_END_ANGLE__ 109
#define __GO_ARC_DRAWING_METHOD__ 110
#define __GO_X_AXIS_VISIBLE__ 111
#define __GO_X_AXIS_REVERSE__ 112
#define __GO_X_AXIS_GRID_COLOR__ 113
#define __GO_X_AXIS_GRID_THICKNESS__ 114
#define __GO_X_AXIS_GRID_STYLE__ 115
#define __GO_X_AXIS_LABEL__ 116
#define __GO_X_AXIS_LOCATION__ 117
#define __GO_X_AXIS_LOG_FLAG__ 118
#define __GO_X_AXIS_TICKS__ 119
#define __GO_X_AXIS_FORMAT__ 120
#define __GO_X_AXIS_ST_FACTORS__ 121
#define __GO_X_AXIS_AUTO_TICKS__ 122
#define __GO_X_AXIS_NUMBER_TICKS__ 123
#define __GO_X_AXIS_TICKS_LOCATIONS__ 124
#define __GO_X_AXIS_TICKS_LABELS__ 125
#define __GO_X_AXIS_SUBTICKS__ 126
#define __GO_Y_AXIS_VISIBLE__ 127
#define __GO_Y_AXIS_REVERSE__ 128
#define __GO_Y_AXIS_GRID_COLOR__ 129
#define __GO_Y_AXIS_GRID_THICKNESS__ 130
#define __GO_Y_AXIS_GRID_STYLE__ 131
#define __GO_Y_AXIS_LABEL__ 132
#define __GO_Y_AXIS_LOCATION__ 133
#define __GO_Y_AXIS_LOG_FLAG__ 134
#define __GO_Y_AXIS_TICKS__ 135
#define __GO_Y_AXIS_FORMAT__ 136
#define __GO_Y_AXIS_ST_FACTORS__ 137
#define __GO_Y_AXIS_AUTO_TICKS__ 138
#define __GO_Y_AXIS_NUMBER_TICKS__ 139
#define __GO_Y_AXIS_TICKS_LOCATIONS__ 140
#define __GO_Y_AXIS_TICKS_LABELS__ 141
#define __GO_Y_AXIS_SUBTICKS__ 142
#define __GO_Z_AXIS_VISIBLE__ 143
#define __GO_Z_AXIS_REVERSE__ 144
#define __GO_Z_AXIS_GRID_COLOR__ 145
#define __GO_Z_AXIS_GRID_THICKNESS__ 146
#define __GO_Z_AXIS_GRID_STYLE__ 147
#define __GO_Z_AXIS_LABEL__ 148
#define __GO_Z_AXIS_LOCATION__ 149
#define __GO_Z_AXIS_LOG_FLAG__ 150
#define __GO_Z_AXIS_TICKS__ 151
#define __GO_Z_AXIS_FORMAT__ 152
#define __GO_Z_AXIS_ST_FACTORS__ 153
#define __GO_Z_AXIS_AUTO_TICKS__ 154
#define __GO_Z_AXIS_NUMBER_TICKS__ 155
#define __GO_Z_AXIS_TICKS_LOCATIONS__ 156
#define __GO_Z_AXIS_TICKS_LABELS__ 157
#define __GO_Z_AXIS_SUBTICKS__ 158
#define __GO_AUTO_SUBTICKS__ 159
#define __GO_GRID_POSITION__ 160
#define __GO_TITLE__ 161
#define __GO_AUTO_CLEAR__ 162
#define __GO_FILLED__ 163
#define __GO_CAMERA__ 164
#define __GO_VIEW__ 165
#define __GO_ISOVIEW__ 166
#define __GO_CUBE_SCALING__ 167
#define __GO_ROTATION_ANGLES__ 168
#define __GO_ROTATION_ANGLES_3D__ 169
#define __GO_BOX_TYPE__ 170
#define __GO_HIDDEN_AXIS_COLOR__ 171
#define __GO_X_TIGHT_LIMITS__ 172
#define __GO_Y_TIGHT_LIMITS__ 173
#define __GO_Z_TIGHT_LIMITS__ 174
#define __GO_DATA_BOUNDS__ 175
#define __GO_REAL_DATA_BOUNDS__ 176
#define __GO_ZOOM_ENABLED__ 177
#define __GO_ZOOM_BOX__ 178
#define __GO_AUTO_SCALE__ 179
#define __GO_AUTO_STRETCH__ 180
#define __GO_FIRST_PLOT__ 181
#define __GO_MARGINS__ 182
#define __GO_AUTO_MARGINS__ 183
#define __GO_AXES_BOUNDS__ 184
#define __GO_CLIP_PROPERTY__ 185
#define __GO_CLIP_STATE__ 186
#define __GO_CLIP_BOX__ 187
#define __GO_CLIP_BOX_SET__ 188
#define __GO_LINE__ 189
#define __GO_LINE_MODE__ 190
#define __GO_LINE_STYLE__ 191
#define __GO_LINE_THICKNESS__ 192
#define __GO_LINE_COLOR__ 193
#define __GO_FILL_MODE__ 194
#define __GO_MARK__ 195
#define __GO_MARK_MODE__ 196
#define __GO_MARK_STYLE__ 197
#define __GO_MARK_SIZE_UNIT__ 198
#define __GO_MARK_SIZE__ 199
#define __GO_MARK_FOREGROUND__ 200
#define __GO_MARK_BACKGROUND__ 201
#define __GO_MARK_OFFSET__ 202
#define __GO_MARK_STRIDE__ 203
#define __GO_SELECTED__ 204
#define __GO_TICKS_DIRECTION__ 205
#define __GO_X_NUMBER_TICKS__ 206
#define __GO_Y_NUMBER_TICKS__ 207
#define __GO_X_TICKS_COORDS__ 208
#define __GO_Y_TICKS_COORDS__ 209
#define __GO_TICKS_COLOR__ 210
#define __GO_TICKS_SEGMENT__ 211
#define __GO_TICKS_STYLE__ 212
#define __GO_SUBTICKS__ 213
#define __GO_NUMBER_TICKS_LABELS__ 214
#define __GO_TICKS_LABELS__ 215
#define __GO_FORMATN__ 216
#define __GO_FONT__ 217
#define __GO_FONT_STYLE__ 218
#define __GO_FONT_SIZE__ 219
#define __GO_FONT_COLOR__ 220
#define __GO_FONT_FRACTIONAL__ 221
#define __GO_Z_BOUNDS__ 222
#define __GO_OUTSIDE_COLOR__ 223
#define __GO_COLOR_RANGE__ 224
#define __GO_DATA_MAPPING__ 225
#define __GO_FONT_ANGLE__ 226
#define __GO_AUTO_POSITION__ 227
#define __GO_CORNERS__ 228
#define __GO_AUTO_ROTATION__ 229
#define __GO_LINKS__ 230
#define __GO_LINKS_COUNT__ 231
#define __GO_LEGEND_LOCATION__ 232
#define __GO_MARKS_COUNT__ 233
#define __GO_LINE_WIDTH__ 234
#define __GO_CLOSED__ 235
#define __GO_ARROW_SIZE_FACTOR__ 236
#define __GO_POLYLINE_STYLE__ 237
#define __GO_INTERP_COLOR_VECTOR__ 238
#define __GO_INTERP_COLOR_VECTOR_SET__ 239
#define __GO_INTERP_COLOR_MODE__ 240
#define __GO_X_SHIFT__ 241
#define __GO_Y_SHIFT__ 242
#define __GO_Z_SHIFT__ 243
#define __GO_BAR_WIDTH__ 244
#define __GO_SURFACE_MODE__ 245
#define __GO_COLOR_MODE__ 246
#define __GO_COLOR_FLAG__ 247
#define __GO_ALIGNMENT__ 248
#define __GO_BOX__ 249
#define __GO_TEXT_BOX__ 250
#define __GO_TEXT_BOX_MODE__ 251
#define __GO_AUTO_DIMENSIONING__ 252
#define __GO_FORMATTED_TEXT__ 253
#define __GO_TEXT_ARRAY_DIMENSIONS__ 254
#define __GO_TEXT_STRINGS__ 255
#define __GO_BASE__ 256
#define __GO_BASE_X__ 257
#define __GO_BASE_Y__ 258
#define __GO_BASE_Z__ 259
#define __GO_DIRECTION__ 260
#define __GO_DIRECTION_X__ 261
#define __GO_DIRECTION_Y__ 262
#define __GO_DIRECTION_Z__ 263
#define __GO_ARROW_SIZE__ 264
#define __GO_SEGS_COLORS__ 265
#define __GO_COLORED__ 266
#define __GO_ARROWS__ 267
#define __GO_NUMBER_ARROWS__ 268
#define __GO_CHAMP_DIMENSIONS__ 269
#define __GO_BOUNDING_BOX__ 270
#define __GO_MAX_LENGTH__ 271
#define __GO_MAX_USABLE_LENGTH__ 272
#define __GO_HIDDEN_COLOR__ 273
#define __GO_STYLE__ 274
#define __GO_UI_CHECKBOX__ 275
#define __GO_UI_EDIT__ 276
#define __GO_UI_SPINNER__ 277
#define __GO_UI_FRAME__ 278
#define __GO_UI_FRAME_SCROLLABLE__ 279
#define __GO_UI_IMAGE__ 280
#define __GO_UI_LISTBOX__ 281
#define __GO_UI_POPUPMENU__ 282
#define __GO_UI_PUSHBUTTON__ 283
#define __GO_UI_RADIOBUTTON__ 284
#define __GO_UI_SLIDER__ 285
#define __GO_UI_TABLE__ 286
#define __GO_UI_TEXT__ 287
#define __GO_UI_LAYER__ 288
#define __GO_UI_BACKGROUNDCOLOR__ 289
#define __GO_UI_ENABLE__ 290
#define __GO_UI_FONTANGLE__ 291
#define __GO_UI_FONTNAME__ 292
#define __GO_UI_FONTSIZE__ 293
#define __GO_UI_FONTUNITS__ 294
#define __GO_UI_FONTWEIGHT__ 295
#define __GO_UI_FOREGROUNDCOLOR__ 296
#define __GO_UI_HORIZONTALALIGNMENT__ 297
#define __GO_UI_LISTBOXTOP__ 298
#define __GO_UI_LISTBOXTOP_SIZE__ 299
#define __GO_UI_MAX__ 300
#define __GO_UI_MIN__ 301
#define __GO_UI_RELIEF__ 302
#define __GO_UI_STRING__ 303
#define __GO_UI_TAB_STRING__ 304
#define __GO_UI_STRING_SIZE__ 305
#define __GO_UI_STRING_COLNB__ 306
#define __GO_UI_TOOLTIPSTRING__ 307
#define __GO_UI_TOOLTIPSTRING_SIZE__ 308
#define __GO_UI_SLIDERSTEP__ 309
#define __GO_UI_SNAPTOTICKS__ 310
#define __GO_UI_UNITS__ 311
#define __GO_UI_VALUE__ 312
#define __GO_UI_TAB_VALUE__ 313
#define __GO_UI_VALUE_SIZE__ 314
#define __GO_UI_VERTICALALIGNMENT__ 315
#define __GO_UIPARENTMENU__ 316
#define __GO_UICHILDMENU__ 317
#define __GO_UICHECKEDMENU__ 318
#define __GO_UI_CHECKED__ 319
#define __GO_UI_LABEL__ 320
#define __GO_UI_MNEMONIC__ 321
#define __GO_UI_ACCELERATOR__ 322
#define __GO_UI_SEPARATOR__ 323
#define __GO_UI_ICON__ 324
#define __GO_CONSOLE__ 325
#define __GO_SHOWHIDDENHANDLES__ 326
#define __GO_SHOWHIDDENPROPERTIES__ 327
#define __GO_USEDEPRECATEDLF__ 328
#define __GO_WAITBAR__ 329
#define __GO_PROGRESSIONBAR__ 330
#define __GO_UI_MESSAGE__ 331
#define __GO_UI_MESSAGE_SIZE__ 332
#define __GO_DATATIP__ 333
#define __GO_DATATIP_DATA__ 334
#define __GO_DATATIP_ORIENTATION__ 335
#define __GO_DATATIP_DISPLAY_COMPONENTS__ 336
#define __GO_DATATIP_AUTOORIENTATION__ 337
#define __GO_DATATIP_INTERP_MODE__ 338
#define __GO_DATATIP_DISPLAY_FNC__ 339
#define __GO_DATATIP_BOX_MODE__ 340
#define __GO_DATATIP_LABEL_MODE__ 341
#define __GO_DATATIP_MARK__ 342
#define __GO_DATATIP_DETACHED_MODE__ 343
#define __GO_DATATIP_DETACHED_POSITION__ 344
#define __GO_AMBIENTCOLOR__ 345
#define __GO_DIFFUSECOLOR__ 346
#define __GO_SPECULARCOLOR__ 347
#define __GO_COLOR_MATERIAL__ 348
#define __GO_MATERIAL_SHININESS__ 349
#define __GO_LIGHT__ 350
#define __GO_LIGHT_TYPE__ 351
#define __GO_DATATIPS__ 352
#define __GO_DATATIPS_COUNT__ 353
#define __GO_DATATIP_INDEXES__ 354
#define __GO_DATATIP_DISPLAY_MODE__ 355
#define __GO_DATA_MODEL_DISPLAY_FUNCTION__ 356
#define __GO_DATA_MODEL_DISPLAY_FUNCTION_SIZE__ 357
#define __GO_RESIZE__ 358
#define __GO_TOOLBAR__ 359
#define __GO_TOOLBAR_VISIBLE__ 360
#define __GO_MENUBAR__ 361
#define __GO_MENUBAR_VISIBLE__ 362
#define __GO_INFOBAR_VISIBLE__ 363
#define __GO_DOCKABLE__ 364
#define __GO_LAYOUT__ 365
#define __GO_LAYOUT_SET__ 366
#define __GO_UI_TAB__ 367
#define __GO_UI_GRIDBAG_GRID__ 368
#define __GO_UI_GRIDBAG_WEIGHT__ 369
#define __GO_UI_GRIDBAG_FILL__ 370
#define __GO_UI_GRIDBAG_ANCHOR__ 371
#define __GO_UI_GRIDBAG_PADDING__ 372
#define __GO_UI_GRIDBAG_PREFERREDSIZE__ 373
#define __GO_UI_GRID_GRID__ 374
#define __GO_UI_GRID_PADDING__ 375
#define __GO_UI_BORDER_POSITION__ 376
#define __GO_UI_BORDER_PREFERREDSIZE__ 377
#define __GO_GRID_OPT_GRID__ 378
#define __GO_GRID_OPT_PADDING__ 379
#define __GO_BORDER_OPT_PADDING__ 380
#define __GO_UI_FRAME_BORDER__ 381
#define __GO_UI_FRAME_BORDER_COLOR__ 382
#define __GO_UI_FRAME_BORDER_HIGHLIGHT_IN__ 383
#define __GO_UI_FRAME_BORDER_HIGHLIGHT_OUT__ 384
#define __GO_UI_FRAME_BORDER_IN_BORDER__ 385
#define __GO_UI_FRAME_BORDER_JUSTIFICATION__ 386
#define __GO_UI_FRAME_BORDER_OUT_BORDER__ 387
#define __GO_UI_FRAME_BORDER_ROUNDED__ 388
#define __GO_UI_FRAME_BORDER_SHADOW_IN__ 389
#define __GO_UI_FRAME_BORDER_SHADOW_OUT__ 390
#define __GO_UI_FRAME_BORDER_TITLE__ 391
#define __GO_UI_FRAME_BORDER_POSITION__ 392
#define __GO_UI_FRAME_BORDER_STYLE__ 393
#define __GO_UI_GROUP_NAME__ 394
#define __GO_UI_TITLE_POSITION__ 395
#define __GO_UI_TITLE_SCROLL__ 396
#define __GO_UI_FRAME_BORDER_TYPE__ 397
#define __GO_UI_SCROLLABLE__ 398
#define __GO_COLOR_SET__ 399
#define __GO_MARK_SIZES__ 400
#define __GO_NUM_MARK_SIZES__ 401
#define __GO_MARK_FOREGROUNDS__ 402
#define __GO_NUM_MARK_FOREGROUNDS__ 403
#define __GO_MARK_BACKGROUNDS__ 404
#define __GO_NUM_MARK_BACKGROUNDS__ 405
#define __GO_UI_FOCUS__ 406

#endif /* !__GRAPHIC_OBJECT_PROPERTIES_H__ */
